GET api/mediwaveprogramstepapi/step/{id}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters
None.
Response Information
Resource Description
MediWaveProgramStepViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| active | boolean |
Required |
|
| code | integer |
Required Range: inclusive between 0 and ∞ |
|
| id | globally unique identifier |
None. |
|
| program_id | globally unique identifier |
Required |
|
| mediwave_program_step_type_id | globally unique identifier |
Required |
|
| name | string |
Required |
Response Formats
application/json, text/json
Sample:
{
"active": true,
"code": 2,
"id": "80574efa-b62c-4fc4-912f-7132b1e4b6cd",
"program_id": "2835dfba-2e0f-49ab-9205-15fb88462817",
"mediwave_program_step_type_id": "06aa7ebb-3446-488a-93eb-246c0e0ce60c",
"name": "sample string 6"
}
application/xml, text/xml
Sample:
<mediwave_program_step xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel"> <active>true</active> <code>2</code> <id>80574efa-b62c-4fc4-912f-7132b1e4b6cd</id> <mediwave_program_step_type_id>06aa7ebb-3446-488a-93eb-246c0e0ce60c</mediwave_program_step_type_id> <name>sample string 6</name> <program_id>2835dfba-2e0f-49ab-9205-15fb88462817</program_id> </mediwave_program_step>